//+------------------------------------------------------------------+
//|                                                TSR_M5_MR_MTF.mq4 |
//|                                    Copyright  2007, Petr Kouril |
//|                                           http://www.jaktrade.cz |
//+------------------------------------------------------------------+

#property copyright "Copyright  2007, Petr Kouril"
#property link      "http://www.jaktrade.cz"

// Needed Custom Indicator

#property indicator_separate_window
#property indicator_minimum  0
#property indicator_maximum  1
#property indicator_buffers  3
#property indicator_color1 Red
#property indicator_color2 Lime
#property indicator_color3 Yellow

//---- input parameters
extern int					TimeFrame = 5;

//---- buffers
double EnterLong[];
double EnterShort[];
double EnterNothing[];

int init()
{
	IndicatorBuffers(3);
	
	SetIndexStyle (0, DRAW_HISTOGRAM, EMPTY, 3);
   SetIndexBuffer(0, EnterShort);

	SetIndexStyle (1, DRAW_HISTOGRAM, EMPTY, 3);
   SetIndexBuffer(1, EnterLong);

	SetIndexStyle (2, DRAW_HISTOGRAM, EMPTY, 3);
   SetIndexBuffer(2, EnterNothing);
   
   return(0);
}

int deinit()
{
   return(0);
}

int start()
{
  	datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();
 
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
   for(i=0,y=0;i<limit;i++)
   {
	   if (Time[i]<TimeArray[y]) y++;

	   EnterLong    [i] = iCustom(NULL, TimeFrame, "TSR_M5_MR", TimeFrame, false, false, 1, y);
	   EnterShort   [i] = iCustom(NULL, TimeFrame, "TSR_M5_MR", TimeFrame, false, false, 0, y);
	   EnterNothing [i] = iCustom(NULL, TimeFrame, "TSR_M5_MR", TimeFrame, false, false, 2, y);
	}
   return(0);
}


